Bug 4828 - Provisioning messages
Provisioning messages
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
All All
: P3 normal
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-27 12:34 UTC by Matthias Dieter Wallnöfer
Modified: 2007-08-05 20:38 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Dieter Wallnöfer 2007-07-27 12:34:47 UTC
When I run the provision script from the console, with the --realm, --domain and --adminpass parameter, I notice some special messages:

schema_fsmo_init: no schema dn present: (skip schema loading)
naming_fsmo_init: no partitions dn present: (skip loading of naming contexts details)
pdc_fsmo_init: no domain dn present: (skip loading of domain details)

Are they normal warnings and ignorable?
Comment 1 Andrew Bartlett 2007-07-30 00:24:47 UTC
These are normal, due to us starting from a blank database.

Perhaps we can skip these if the rootDSE 'isSyncronised' attribute is not present.
Comment 2 Andrew Bartlett 2007-08-05 20:38:22 UTC
This was indeed a bug, and fixed in -r 24245.  We didn't tell ldb to use Samba's DEBUG system until after these messages were output, so the fallback to fprintf() to stderr was used.

Thanks!